/*!
 * OpenUI5
 * (c) Copyright 2009-2020 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(['sap/base/Log','../Plugin','../Support','../ToolsAPI',"sap/base/security/encodeXML"],function(L,P,S,T,e){"use strict";var a=P.extend("sap.ui.core.support.plugins.TechInfo",{constructor:function(o){P.apply(this,["sapUiSupportTechInfo","Technical Information",o]);this._aEventIds=this.runsAsToolPlugin()?[this.getId()+"Data",this.getId()+"FinishedE2ETrace"]:[this.getId()+"ToggleDebug",this.getId()+"SetReboot",this.getId()+"Refresh",this.getId()+"StartE2ETrace",this.getId()+"ToggleStatistics"];if(this.runsAsToolPlugin()){this.e2eLogLevel="medium";this.e2eTraceStarted=false;}}});a.prototype.onsapUiSupportTechInfoData=function(E){var t=this;var d=E.getParameter("data");d.modules.sort();this.e2eTraceStarted=d["e2e-trace"].isStarted;var h=["<div class='sapUiSupportToolbar'>","<button id='",t.getId(),"-Refresh' class='sapUiSupportRoundedButton'>Refresh</button>","<div><div class='sapUiSupportTechInfoCntnt'>","<table border='0' cellpadding='3' class='infoTable'>"];function f(g,i){var j=[];if(g){var k=/^(\d{4})(\d{2})(\d{2})-?(\d{2})(\d{2})$/.exec(g);if(k){g=k[1]+'-'+k[2]+'-'+k[3]+'T'+k[4]+":"+k[5];}j.push("built at "+b(g));}if(i){j.push("last change "+b(i));}return j.length===0?"":" ("+j.join(", ")+")";}var p="SAPUI5";var V="not available";try{var o=sap.ui.getVersionInfo();p=o.name;V="<a href='"+sap.ui.resource("","sap-ui-version.json")+"' target='_blank' class='sapUiSupportLink' title='Open Version Info'>"+b(o.version)+"</a>"+f(o.buildTimestamp,o.scmRevision);}catch(c){}l(h,true,true,p,function(g){g.push(V);});if(!/openui5/i.test(p)){l(h,true,true,"OpenUI5 Version",function(g){g.push(b(d.version)+f(d.build,d.change));});}l(h,true,true,"Loaded jQuery Version",function(g){return d.jquery;});l(h,true,true,"User Agent",function(g){return d.useragent+(d.docmode?", Document Mode '"+d.docmode+"'":"");});l(h,true,true,"Debug Sources",function(g){g.push((d.debug?"ON":"OFF"),"<a href='#' id='",t.getId(),"-tggleDbgSrc' class='sapUiSupportLink'>Toggle</a>");});l(h,true,true,"Application",d.appurl);m(h,true,true,"Configuration (bootstrap)",d.bootconfig);m(h,true,true,"Configuration (computed)",d.config);if(!jQuery.isEmptyObject(d.libraries)){m(h,true,true,"Libraries",d.libraries);}m(h,true,true,"Loaded Libraries",d.loadedLibraries);l(h,true,true,"Loaded Modules",function(g){jQuery.each(d.modules,function(i,v){if(v.indexOf("sap.ui.core.support")<0){g.push("<span>",b(v),"</span>");if(i<d.modules.length-1){g.push(", ");}}});});m(h,true,true,"URI Parameters",d.uriparams);l(h,true,true,"E2E Trace",function(g){g.push("<label class='sapUiSupportLabel'>Trace Level:</label>","<select id='",t.getId(),"-logLevelE2ETrace' class='sapUiSupportTxtFld sapUiSupportSelect'>","<option value='low'"+(t.e2eLogLevel==='low'?" selected":"")+">LOW</option>","<option value='medium'"+(t.e2eLogLevel==='medium'?" selected":"")+">MEDIUM</option>","<option value='high'"+(t.e2eLogLevel==='hight'?" selected":"")+">HIGH</option>","</select>");g.push("<button id='"+t.getId()+"-startE2ETrace' class='sapUiSupportRoundedButton "+(d["e2e-trace"].isStarted?" active":"")+"' style='margin-left: 10px;'>"+(d["e2e-trace"].isStarted?"Running...":"Start")+"</button>");g.push("<div style='margin-top:5px'>");g.push("<label class='sapUiSupportLabel'>XML Output:</label>");g.push("<textarea id='"+t.getId()+"-outputE2ETrace' style='width:100%;height:50px;margin-top:5px;resize:none;box-sizing:border-box'></textarea>");g.push("</div>");});h.push("</table></div>");this.$().html(h.join(""));this.$("tggleDbgSrc").on("click",function(E){E.preventDefault();S.getStub().sendEvent(t.getId()+"ToggleDebug",{});});this.$("Refresh").on("click",function(E){E.preventDefault();S.getStub().sendEvent(t.getId()+"Refresh",{});});this.$("outputE2ETrace").on("click",function(){this.focus();this.select();});this.$("startE2ETrace").on("click",function(){if(!t.e2eTraceStarted){t.e2eLogLevel=t.$("logLevelE2ETrace").val();t.$("startE2ETrace").addClass("active").text("Running...");t.$("outputE2ETrace").text("");S.getStub().sendEvent(t.getId()+"StartE2ETrace",{level:t.e2eLogLevel});t.e2eTraceStarted=true;}});document.title="UI5 Diagnostics - "+d.title;};a.prototype.onsapUiSupportTechInfoToggleDebug=function(E){jQuery.sap.debug(!jQuery.sap.debug());s(this);};a.prototype.onsapUiSupportTechInfoSetReboot=function(E){jQuery.sap.setReboot(E.getParameter("rebootUrl"));};a.prototype.onsapUiSupportTechInfoStartE2ETrace=function(E){var t=this,c=E.getParameter("level");sap.ui.require(['sap/ui/core/support/trace/E2eTraceLib'],function(d){d.start(c,function(f){S.getStub().sendEvent(t.getId()+"FinishedE2ETrace",{trace:f});});},function(o){L.error("Could not load module 'sap/ui/core/support/trace/E2eTraceLib':",o);});};a.prototype.onsapUiSupportTechInfoFinishedE2ETrace=function(E){this.$("startE2ETrace").removeClass("active").text("Start");this.$("outputE2ETrace").text(E.getParameter("trace"));this.e2eTraceStarted=false;};a.prototype.onsapUiSupportTechInfoRefresh=function(E){s(this);};a.prototype.onsapUiSupportTechInfoToggleStatistics=function(E){jQuery.sap.statistics(!jQuery.sap.statistics());s(this);};a.prototype.init=function(o){P.prototype.init.apply(this,arguments);if(!this.runsAsToolPlugin()){s(this);return;}this.$().html("No Information available");};function s(p){var c=T.getFrameworkInformation();var d={version:c.commonInformation.version,build:c.commonInformation.buildTime,change:c.commonInformation.lastChange,jquery:c.commonInformation.jquery,useragent:c.commonInformation.userAgent,docmode:c.commonInformation.documentMode,debug:c.commonInformation.debugMode,bootconfig:c.configurationBootstrap,config:c.configurationComputed,libraries:c.libraries,loadedLibraries:c.loadedLibraries,modules:c.loadedModules,uriparams:c.URLParameters,appurl:c.commonInformation.applicationHREF,title:c.commonInformation.documentTitle,statistics:c.commonInformation.statistics};var E=sap.ui.require('sap/ui/core/support/trace/E2eTraceLib');d["e2e-trace"]={isStarted:E?E.isStarted():false};S.getStub().sendEvent(p.getId()+"Data",{data:d});}function b(c){return c==null?"":e(String(c));}function l(c,r,d,f,g){c.push("<tr><td ",r?"align='right' ":"","valign='top'>","<label class='sapUiSupportLabel'>",b(f),"</label></td><td",d?" class='sapUiSupportTechInfoBorder'":"",">");var h=g;if(typeof g==='function'){h=g(c);}c.push(b(h));c.push("</td></tr>");}function m(c,r,d,f,g){l(c,r,d,f,function(c){c.push("<table border='0' cellspacing='0' cellpadding='3' style='width: 100%'>");jQuery.each(g,function(i,v){var h="";if(v){if(typeof(v)==="string"||typeof(v)==="string"||typeof(v)==="boolean"){h=v;}else if((Array.isArray(v)||jQuery.isPlainObject(v))&&window.JSON){h=window.JSON.stringify(v);}}l(c,false,false,i,""+h);});c.push("</table>");});}return a;});
