/*!
 * OpenUI5
 * (c) Copyright 2009-2020 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(['sap/ui/thirdparty/URI','../Element','sap/base/util/UriParameters','sap/base/Log','sap/base/util/extend','sap/ui/thirdparty/jquery'],function(U,E,a,L,e,q){"use strict";var c=window["sap-ui-config"]||{};var s=0;if(c['xx-nosync']==='warn'||/(?:\?|&)sap-ui-xx-nosync=(?:warn)/.exec(window.location.search)){s=1;}if(c['xx-nosync']===true||c['xx-nosync']==='true'||/(?:\?|&)sap-ui-xx-nosync=(?:x|X|true)/.exec(window.location.search)){s=2;}var P={};var p=null;var t=null;var b=[];var r=/url[\s]*\('?"?([^\'")]*)'?"?\)/;var u=a.fromQuery(window.location.search).get("sap-ui-xx-no-inline-theming-parameters")!=="true";function d(){p=null;}function f(i,T){var M=r.exec(i);if(M){var j=new U(M[1]);if(j.is("relative")){var N=j.absoluteTo(T).normalize().toString();i="url('"+N+"')";}}return i;}function m(C,N,T){for(var i in N){if(typeof C[i]==="undefined"){C[i]=f(N[i],T);}}return C;}function g(N,T){if(typeof N["default"]!=="object"){N={"default":N,"scopes":{}};}p=p||{};p["default"]=p["default"]||{};p["scopes"]=p["scopes"]||{};m(p["default"],N["default"],T);if(typeof N["scopes"]==="object"){for(var S in N["scopes"]){p["scopes"][S]=p["scopes"][S]||{};m(p["scopes"][S],N["scopes"][S],T);}}}function h(C){q("link[id^=sap-ui-theme-]").each(function(){C(this.getAttribute("id"));});}function l(i){var k=document.getElementById(i);if(!k){L.warning("Could not find stylesheet element with ID",i,"sap.ui.core.theming.Parameters");return;}var S=k.href;var T=new U(S).filename("").query("").toString();var x=sap.ui.getCore().isThemeApplied();if(!x){L.warning("Parameters have been requested but theme is not applied, yet.","sap.ui.core.theming.Parameters");}if(x&&u){var $=q(k);var D=$.css("background-image");var y=/\(["']?data:text\/plain;utf-8,(.*?)['"]?\)$/i.exec(D);if(y&&y.length>=2){var z=y[1];if(z.charAt(0)!=="{"&&z.charAt(z.length-1)!=="}"){try{z=decodeURIComponent(z);}catch(A){L.warning("Could not decode theme parameters URI from "+S);}}try{var B=JSON.parse(z);g(B,T);return;}catch(A){L.warning("Could not parse theme parameters from "+S+". Loading library-parameters.json as fallback solution.");}}}var C=S.replace(/\/(?:css_variables|library)([^\/.]*)\.(?:css|less)($|[?#])/,function(j,F,G){return"/library-parameters.json"+(G?G:"");});if(s===2){L.error("[nosync] Loading library-parameters.json ignored",C,"sap.ui.core.theming.Parameters");return;}else if(s===1){L.error("[nosync] Loading library-parameters.json with sync XHR",C,"sap.ui.core.theming.Parameters");}q.ajax({url:C,dataType:'json',async:false,success:function(F,G,H){if(Array.isArray(F)){for(var j=0;j<F.length;j++){var B=F[j];g(B,T);}}else{g(F,T);}},error:function(j,F,G){L.error("Could not load theme parameters from: "+C,G);}});}function n(){if(!p){g({},"");t=sap.ui.getCore().getConfiguration().getTheme();h(l);}return p;}function o(){b.forEach(l);b=[];}P._addLibraryTheme=function(i){if(p){b.push("sap-ui-theme-"+i);}};function v(O){var i=n();if(O.scopeName){i=i["scopes"][O.scopeName];}else{i=i["default"];}var j=i[O.parameterName];if(typeof j==="undefined"&&typeof O.parameterName==="string"){var I=O.parameterName.indexOf(":");if(I!==-1){O.parameterName=O.parameterName.substr(I+1);}j=i[O.parameterName];}if(O.loadPendingParameters&&typeof j==="undefined"){o();j=v({parameterName:O.parameterName,scopeName:O.scopeName,loadPendingParameters:false});}return j;}function w(j,S){for(var i=0;i<S.length;i++){var C=S[i];for(var k=0;k<C.length;k++){var x=C[k];var y=v({parameterName:j,scopeName:x});if(y){return y;}}}return v({parameterName:j});}P._getScopes=function(A){if(A&&!p){return;}var i=n();var S=Object.keys(i["scopes"]);return S;};P.getActiveScopesFor=function(i){var S=[];if(i instanceof E){var j=i.getDomRef();o();var k=this._getScopes();if(j){var N=function(x){var y=j.classList;return y&&y.contains(x);};while(j){var F=k.filter(N);if(F.length>0){S.push(F);}j=j.parentNode;}}else{var C=function(x){return typeof i.hasStyleClass==="function"&&i.hasStyleClass(x);};while(i){var F=k.filter(C);if(F.length>0){S.push(F);}i=typeof i.getParent==="function"&&i.getParent();}}}return S;};P.get=function(N,k){var x;if(!sap.ui.getCore().isInitialized()){L.warning("Called sap.ui.core.theming.Parameters.get() before core has been initialized. "+"This could lead to bad performance and sync XHR as inline parameters might not be available, yet. "+"Consider using the API only when required, e.g. onBeforeRendering.");}if(arguments.length===0){o();var y=n();return Object.assign({},y["default"]);}if(!N){return undefined;}if(k instanceof E){o();var S=this.getActiveScopesFor(k);if(typeof N==="string"){return w(N,S);}else if(Array.isArray(N)){var z={};for(var j=0;j<N.length;j++){var A=N[j];z[A]=w(A,S);}return z;}}else{if(typeof N==="string"){x=v({parameterName:N,loadPendingParameters:true});return x;}else if(Array.isArray(N)){var z={};for(var i=0;i<N.length;i++){var A=N[i];z[A]=P.get(A);}return z;}}};P._setOrLoadParameters=function(i){p={"default":{},"scopes":{}};t=sap.ui.getCore().getConfiguration().getTheme();h(function(I){var j=I.substr(13);if(i[j]){e(p["default"],i[j]);}else{l(I);}});};P.reset=function(){var O=arguments[0]===true;if(!O||sap.ui.getCore().getConfiguration().getTheme()!==t){d();}};P._getThemeImage=function(i,F){i=i||"sapUiGlobalLogo";var j=P.get(i);if(j){var k=r.exec(j);if(k){j=k[1];}else if(j==="''"||j==="none"){j=null;}}if(!!F&&!j){return sap.ui.resource('sap.ui.core','themes/base/img/1x1.gif');}return j;};return P;},true);
