/*!
 * OpenUI5
 * (c) Copyright 2009-2020 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/layout/cssgrid/GridLayoutBase","sap/ui/layout/cssgrid/GridSettings","sap/ui/layout/cssgrid/GridBoxLayoutStyleHelper","sap/ui/Device","sap/ui/thirdparty/jquery"],function(G,a,b,D,q){"use strict";var S=/^([X][L](?:[1-9]|1[0-2]))? ?([L](?:[1-9]|1[0-2]))? ?([M](?:[1-9]|1[0-2]))? ?([S](?:[1-9]|1[0-2]))?$/i;var c=S.exec("XL7 L6 M4 S2");var s={"Phone":"sapUiLayoutCSSGridBoxLayoutSizeS","Tablet":"sapUiLayoutCSSGridBoxLayoutSizeM","Desktop":"sapUiLayoutCSSGridBoxLayoutSizeL","LargeDesktop":"sapUiLayoutCSSGridBoxLayoutSizeXL"};var d={"XL":"sapUiLayoutCSSGridBoxLayoutSpanXL7","L":"sapUiLayoutCSSGridBoxLayoutSpanL6","M":"sapUiLayoutCSSGridBoxLayoutSpanM4","S":"sapUiLayoutCSSGridBoxLayoutSpanS2"};var e=G.extend("sap.ui.layout.cssgrid.GridBoxLayout",{metadata:{library:"sap.ui.layout",properties:{boxMinWidth:{type:"sap.ui.core.CSSSize",defaultValue:""},boxWidth:{type:"sap.ui.core.CSSSize",defaultValue:""},boxesPerRowConfig:{type:"sap.ui.layout.BoxesPerRowConfig",group:"Behavior",defaultValue:"XL7 L6 M4 S2"}}}});e.prototype.getActiveGridSettings=function(){return new a({gridTemplateColumns:this._getTemplateColumns(),gridGap:"0.5rem 0.5rem"});};e.prototype._applySingleGridLayout=function(E){if(this.isGridSupportedByBrowser()){G.prototype._applySingleGridLayout.call(this,E);}};e.prototype.renderSingleGridLayout=function(r){this._addSpanClasses(r);if(this.isGridSupportedByBrowser()){r.class("sapUiLayoutCSSGridBoxLayoutContainer");}else{r.class("sapUiLayoutCSSGridBoxLayoutPolyfill");}};e.prototype.onGridAfterRendering=function(g){G.prototype.onGridAfterRendering.call(this,g);if(!this._hasBoxWidth()){this._applySizeClass(g);}if(!this.isGridSupportedByBrowser()){this._calcWidth(g);this._flattenHeight(g);if(!this._hasBoxWidth()){this._applyClassForLastItem(g);}}if(g.isA("sap.f.GridList")&&g.getGrowing()){var C=g._oGrowingDelegate._onAfterPageLoaded;g._oGrowingDelegate._onAfterPageLoaded=function(){C.call(g._oGrowingDelegate);if(!this.isGridSupportedByBrowser()){this._flattenHeight(g);this._calcWidth(g);this._loopOverGridItems(g,function(o){if(!o.classList.contains("sapMGHLI")&&!o.classList.contains("sapUiBlockLayerTabbable")){o.classList.add("sapUiLayoutCSSGridItem");}});if(!this._hasBoxWidth()){this._applyClassForLastItem(g);}}else if(g.isA("sap.f.GridList")&&g.isGrouped()){this._flattenHeight(g);}}.bind(this);}if(!this.isGridSupportedByBrowser()&&!this._dndPolyfillAttached){g.attachEvent("_gridPolyfillAfterDragOver",g,this._polyfillAfterDragOver,this);g.attachEvent("_gridPolyfillAfterDragEnd",g,this._polyfillAfterDragEnd,this);this._dndPolyfillAttached=true;}};e.prototype._setGridLayout=function(E,g){var o=sap.ui.getCore().byId(E.parentElement.id);G.prototype._setGridLayout.call(this,E,g);if(this.isGridSupportedByBrowser()&&(o&&o.isA("sap.f.GridList")&&o.isGrouped())){this._flattenHeight(o);}};e.prototype.isResponsive=function(){return true;};e.prototype.onGridResize=function(E){if(!this.isGridSupportedByBrowser()||(E.control&&E.control.isA("sap.f.GridList")&&E.control.isGrouped())){this._flattenHeight(E.control);}if(!this.isGridSupportedByBrowser()&&!this._hasBoxWidth()){this._applyClassForLastItem(E.control);}if(E){if(!this._hasBoxWidth()){this._applySizeClass(E.control);}}};e.prototype._calcWidth=function(C){var w;if(this._hasBoxWidth()){w=this.getBoxWidth()||this.getBoxMinWidth();}this._loopOverGridItems(C,function(g){if(!g.classList.contains("sapMGHLI")){g.style.width=w;}});};e.prototype._flattenHeight=function(C){var m=0;C.$().removeClass('sapUiLayoutCSSGridBoxLayoutFlattenHeight');this._loopOverGridItems(C,function(g){m=Math.max(q(g).outerHeight(),m);});b.setItemHeight(C.getId(),m);C.$().addClass('sapUiLayoutCSSGridBoxLayoutFlattenHeight');};e.prototype._applyClassForLastItem=function(C){var i=0;var B=this.getBoxesPerRowConfig().split(" ");var r=D.media.getCurrentRange("StdExt",C.$().width());var f=s[r.name].substring("sapUiLayoutCSSGridBoxLayoutSize".length);var m;B.forEach(function(g){if(g.indexOf(f)!=-1){m=parseInt(g.substring(f.length));}});this._loopOverGridItems(C,function(g){if(g.classList.contains("sapUiLayoutCSSGridItem")){i++;if(i==m){g.classList.add("sapUiLayoutCSSGridItemLastOnRow");i=0;}else{g.classList.remove("sapUiLayoutCSSGridItemLastOnRow");}}else if(g.classList.contains("sapMGHLI")){i=0;}});};e.prototype._applySizeClass=function(C){var r=D.media.getCurrentRange("StdExt",C.$().width()),f=s[r.name];C.getGridDomRefs().forEach(function(o){if(!o.classList.contains(f)){Object.keys(s).map(function(g){o.classList.remove(s[g]);});o.classList.add(f);}});};e.prototype._getTemplateColumns=function(){var t="";if(this.getBoxWidth()){t="repeat(auto-fit, "+this.getBoxWidth()+")";}else if(this.getBoxMinWidth()){t="repeat(auto-fit, minmax("+this.getBoxMinWidth()+", 1fr))";}return t;};e.prototype._hasBoxWidth=function(){if(this.getBoxWidth()||this.getBoxMinWidth()){return true;}else{return false;}};e.prototype._addSpanClasses=function(r){var f,g=this.getBoxesPerRowConfig(),h,j,k,l;if(this._hasBoxWidth()){return;}if(!g||!g.length===0){f=c;}else{f=S.exec(g);}if(f){for(var i=1;i<f.length;i++){var m=f[i];if(!m){continue;}m=m.toUpperCase();switch(m.substr(0,1)){case"X":if(m.substr(1,1)==="L"){h=this._getBoxesPerRowClass(m,2);}break;case"L":j=this._getBoxesPerRowClass(m,1);break;case"M":k=this._getBoxesPerRowClass(m,1);break;case"S":l=this._getBoxesPerRowClass(m,1);break;default:break;}}}h=h||d.XL;j=j||d.L;k=k||d.M;l=l||d.S;r.class(h).class(j).class(k).class(l);};e.prototype._getBoxesPerRowClass=function(f,i){var g=parseInt(f.substr(i,f.length));if(g&&g>0&&g<13){return"sapUiLayoutCSSGridBoxLayoutSpan"+f;}};e.prototype._loopOverGridItems=function(C,f){C.getGridDomRefs().forEach(function(o){if(o&&o.children){for(var i=0;i<o.children.length;i++){if(o.children[i].style.display!=="none"&&o.children[i].style.visibility!=="hidden"){f(o.children[i]);}}}});};e.prototype._polyfillAfterDragOver=function(E,g){E.getParameter("indicator").addClass("sapUiLayoutCSSGridItem");this._calcWidth(g);this._flattenHeight(g);this._applyClassForLastItem(g);};e.prototype._polyfillAfterDragEnd=function(E,g){E.getParameter("indicator").removeClass("sapUiLayoutCSSGridItem");this._applyClassForLastItem(g);};return e;});
