/*!
 * OpenUI5
 * (c) Copyright 2009-2020 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/dt/plugin/ElementMover","sap/ui/dt/OverlayUtil","sap/ui/rta/Utils","sap/ui/rta/command/CommandFactory","sap/ui/rta/plugin/Plugin","sap/ui/dt/OverlayRegistry","sap/ui/dt/MetadataPropagationUtil"],function(E,O,U,C,P,a,M){"use strict";var R=E.extend("sap.ui.rta.plugin.RTAElementMover",{metadata:{library:"sap.ui.rta",properties:{commandFactory:{type:"any",defaultValue:C},movableTypes:{type:"string[]",defaultValue:["sap.ui.core.Element"]}},associations:{},events:{}}});R.prototype.init=function(){this.oBasePlugin=new P({commandFactory:this.getCommandFactory()});};R.prototype.exit=function(){this.oBasePlugin.destroy();};R.prototype.setCommandFactory=function(o){this.setProperty("commandFactory",o);this.oBasePlugin.setCommandFactory(o);};R.prototype.isEditable=function(o,b){var e=o.getElement();if(!this.isMovableType(e)){return Promise.resolve(false);}return this.checkMovable(o,b).then(function(m){o.setMovable(m);return m;});};function i(o,b){var d=o.getDesignTimeMetadata();var p=o.getParentElementOverlay();var n=d.markedAsNotAdaptable();if(!d||!p||n){return Promise.resolve(false);}var r=o.getRelevantContainer();var e=a.getOverlay(r);if(!e){return Promise.resolve(false);}return this.isMoveAvailableOnRelevantContainer(o).then(function(v){if(v){v=this.oBasePlugin.hasStableId(o)&&this.oBasePlugin.hasStableId(p)&&this.oBasePlugin.hasStableId(e);}return v;}.bind(this)).then(function(v){if(v){return c.call(this,o,e,b);}return v;}.bind(this));}function c(o,r,b){var d=O.findAllUniqueAggregationOverlaysInContainer(o,r);var v=d.map(function(A){return this.checkTargetZone(A,o,b).then(function(V){return V?A:undefined;});}.bind(this));return Promise.all(v).then(function(V){V=V.filter(function(f){return!!f;});if(V.length<1){return false;}else if(V.length===1){var e=V[0].getChildren().filter(function(f){var g=f.getElement();return(g&&g.getVisible()&&g.getParent());});return e.length>1;}return true;});}function h(A,e,r){var o=A.getDesignTimeMetadata();var m=o.getAction("move",e);if(!m){return Promise.resolve(false);}return this.oBasePlugin.hasChangeHandler(m.changeType,r);}E.prototype._getMoveAction=function(o){var p;var b=o.getParentAggregationOverlay();if(b){p=b.getDesignTimeMetadata();}return p?p.getAction("move",o.getElement()):undefined;};E.prototype.isMovableType=function(){return true;};R.prototype.checkMovable=function(o,b){return i.call(this,o,b);};R.prototype.checkTargetZone=function(A,o,b){var m=o||this.getMovedOverlay();return E.prototype.checkTargetZone.call(this,A,m,b).then(function(t){if(!t){return false;}var d=m.getElement();var T=A.getParent();var e=m.getRelevantContainer();if(!d||!T){return false;}var f=T.getElement();var g=A.getDesignTimeMetadata();var v=M.getRelevantContainerForPropagation(g.getData(),d);v=v||f;if(!e||!v||!this.oBasePlugin.hasStableId(T)||e!==v){return false;}if(m.getParent().getElement()!==f){if(!U.checkSourceTargetBindingCompatibility(d,f)){return false;}}return h.call(this,A,d,v);}.bind(this));};R.prototype.isMoveAvailableOnRelevantContainer=function(o){var b;var m=this._getMoveAction(o);if(m&&m.changeType){b=o.getRelevantContainer();var r=a.getOverlay(b);if(!this.oBasePlugin.hasStableId(r)){return Promise.resolve(false);}return this.oBasePlugin.hasChangeHandler(m.changeType,b);}return Promise.resolve(false);};R.prototype.isMoveAvailableForChildren=function(o){var d=o.getDesignTimeMetadata();var A=d.getAggregationNamesWithAction("move");var b=[];A.forEach(function(e){var f=o.getAggregationOverlay(e);if(f){var g=f.getChildren();var j=g.map(this.checkMovable.bind(this));b=b.concat(j);}else{b.push(Promise.resolve(false));}}.bind(this));return Promise.all(b).then(function(m){return m.some(function(e){return e;});});};R.prototype.buildMoveCommand=function(){var m=this.getMovedOverlay();var p=m.getParentAggregationOverlay();var o=m.getElement();var s=this._getSource();var r=m.getRelevantContainer();var t=O.getParentInformation(m);var S=s.index;var T=t.index;var b=this._compareSourceAndTarget(s,t);if(b){return Promise.resolve();}delete s.index;delete t.index;var v=this.oBasePlugin.getVariantManagementReference(m);return this.getCommandFactory().getCommandFor(r,"Move",{movedElements:[{element:o,sourceIndex:S,targetIndex:T}],source:s,target:t},p.getDesignTimeMetadata(),v);};return R;});
