/*!
 * OpenUI5
 * (c) Copyright 2009-2020 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/thirdparty/jquery","sap/ui/dt/ElementUtil","sap/base/Log","sap/base/util/ObjectPath","sap/ui/rta/util/BindingsExtractor"],function(q,E,L,O,B){"use strict";function _(j,F,M){if(!j){return false;}var G=j.getBindingInfo(F,M);var P=G&&G.path;if(!P){return false;}if(P.indexOf(">")>-1){P=P.split(">").pop();}return P.indexOf("/")===0;}function a(j,F,G,M){var H;if(F){H=j.getBindingInfo(G,M);if(typeof H.model==="string"&&H.model!==M){H=undefined;}}else{H=j.getBindingContext(M);}return H;}function b(j,F,M){var G=_(j,F,M);var H=a(j,G,F,M);if(H){return G?H.path:H.getPath();}}function c(P){var F=P.reduce(function(j,G){if(Array.isArray(G.properties)){j=j.concat(G.properties.map(function(I){I.parentPropertyName=G.label||G.name;return I;}));}else{j.push(G);}return j;},[]);return F;}function d(j,F,G){var P={element:j,aggregationName:F,payload:G.delegateInfo.payload||{}};return G.delegateInfo.delegate.getPropertyInfo(P).then(c);}function e(j,F,G){var H=G.addViaDelegate;var I;if(H){I=d.bind(null,j,F,H);}else{I=Promise.resolve.bind(Promise,[]);}return I().then(function(P){return l(P);});}function f(P){return P.filter(function(j){return!j.unsupported;});}function g(P,j){j.type="custom";if(j.id){j.itemId=P+"-"+j.id;j.key=j.itemId;}return j;}function h(P){return{selected:false,label:P.label||P.name,parentPropertyName:P.parentPropertyName?P.parentPropertyName:"",duplicateName:P.duplicateName?P.duplicateName:false,tooltip:P.tooltip||P.label,originalLabel:"",type:"delegate",entityType:P.entityType,name:P.name,bindingPath:P.bindingPath};}function i(j){var F=j.element;var G=j.action;return{selected:false,label:F.__label||E.getLabelForElement(F,G.getLabel),tooltip:F.__tooltip||E.getLabelForElement(F,G.getLabel)||F.__bindingPath,parentPropertyName:F.__parentPropertyName?F.__parentPropertyName:"",duplicateName:F.__duplicateName?F.__duplicateName:false,originalLabel:F.__renamedLabel&&F.__label!==F.__originalLabel?F.__originalLabel:"",bindingPath:F.__bindingPath,type:"invisible",elementId:F.getId()};}function k(j,R,F,M){if(R&&R!==j){var G=b(j,F,M);return E.findAllSiblingsInContainer(j,R).filter(function(S){return G===b(S,F,M);});}return[j];}function l(P){P.forEach(function(M,F,P){if(M["duplicateName"]!==true){for(var j=F+1;j<P.length-1;j++){if(M.label===P[j].label){M["duplicateName"]=true;P[j]["duplicateName"]=true;}}}});return P;}function m(I,P){return P.some(function(M){return M.label===I.__label;});}function n(j){return Array.isArray(j)&&j.length>0;}function o(j,P){return P.filter(function(M){return j.some(function(F){return F.startsWith(M.bindingPath);});}).pop();}function p(j){return(q.isPlainObject(j)?j.parts[0].path:!!j.getPath&&j.getPath());}function r(j,F,M,G){var H=j.getModel(M);var R=k(j,F.relevantContainer,G,M);var I=[];R.forEach(function(j){I=I.concat(B.getBindings(j,H).map(p));});return I;}function s(j,F){var P={element:j.relevantContainer,aggregationName:F,payload:j.delegateInfo.payload||{}};return j.delegateInfo.delegate.getRepresentedProperties(P);}function t(j,F,M,G){return s(F,G).then(function(R){if(R===undefined){return r(j,F,M,G);}var H=[];R.forEach(function(I){H=H.concat(I.bindingPaths);});return H;});}function u(j,F,M,G){return Promise.resolve().then(function(){var H=!!O.get("delegateInfo.delegate.getRepresentedProperties",F);if(H){return t(j,F,M,G);}return r(j,F,M,G);});}function v(I,S){I.__originalLabel=S.label;I.__tooltip=S.tooltip;I.__bindingPath=S.name;if(I.__label!==I.__originalLabel){I.__renamedLabel=true;}if(S.parentPropertyName){I.__parentPropertyName=S.parentPropertyName;}}function w(j,F){var H=!!O.get("delegateInfo.delegate.getRepresentedProperties",j);if(H){return s(j,F);}}function x(I,R){var j;R.some(function(P){if(P.id===I.getId()){j=P;return true;}});return j.bindingPaths||[];}function y(I,P,j){if(!n(j)){return true;}var M=o(j,P);if(M){v(I,M);return true;}return false;}function z(j,F,I,G,R,P){var H=G.addViaDelegate;var M=C(H);var J=j.getModel(M);var K=true;var N=[];if(H){if(H&&R){N=x(I,R);}else if(b(j,F,M)===b(I,F,M)){N=B.collectBindingPaths(I,J).bindingPaths;}else if(B.getBindings(I,J).length>0){K=false;}if(K){I.__duplicateName=m(I,P);K=y(I,P,N);}}return K;}function A(I,j,F,G){var H=j.addViaCustom;if(H&&F){H.items.forEach(function(J){g(G.getParent().getId(),J);if(J.itemId===I.getId()){v(I,J);}});}}function C(j){return O.get("delegateInfo.payload.modelName",j);}var D={enhanceInvisibleElements:function(j,F){var R=F.reveal;var G=F.addViaDelegate;var H=j.getMetadata().getAggregation();var I=H?H.name:F.aggregation;return Promise.all([e(j,I,F),w(G,I)]).then(function(J){var P=J[0];var K=J[1];var M=[];var N=R.elements||[];N.forEach(function(Q){var S=Q.element;var T=Q.action;S.__label=E.getLabelForElement(S,T.getLabel);var U=z(j,I,S,F,K,P);A(S,F,U,j);if(U){M.push({element:S,action:T});}});return M;}).then(function(J){return J.map(i);});},getUnrepresentedDelegateProperties:function(j,F){var M=C(F);var G=j.getMetadata().getAggregation();var H=G?G.name:F.action.aggregation;return Promise.all([d(j,H,F),u(j,F,M,H)]).then(function(I){var J=I[0];var R=I[1];var K=F.action.filter?F.action.filter:function(){return true;};var U=f(J);U=U.filter(function(N){var P=false;if(R){P=R.some(function(Q){return Q===N.bindingPath;});}return!P&&K(F.relevantContainer,N);});U=l(U);return U;}).then(function(U){return U.map(h);});},getCustomAddItems:function(j,F){return new Promise(function(R){if(Array.isArray(F.items)){R(F.items.map(g.bind(null,j.getParent().getId())).filter(function(G){if(!G.id){L.error("CustomAdd item with label "+G.label+" does not contain an 'id' property","sap.ui.rta.plugin.AdditionalElementsAnalyzer#showAvailableElements");return false;}return!E.getElementInstance(G.itemId);}));}else{R();}});},getFilteredItemsList:function(j){var I=j[0];var F=2;var G=j[F];if(G){var H=I.map(function(J){return J.elementId;});j[F]=G.filter(function(J){return!J.itemId||H.indexOf(J.itemId)===-1;});}return j.reduce(function(J,K){return J.concat(K);},[]);}};return D;});
