/*!
 * OpenUI5
 * (c) Copyright 2009-2020 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
(function(g){"use strict";var o;if(g.module){o=g.module;g.module=undefined;}sap.ui.define(['sap/ui/thirdparty/jquery','sap/ui/base/Object','sap/ui/core/Element','sap/ui/core/mvc/View','sap/ui/test/matchers/Ancestor','sap/ui/test/matchers/MatcherFactory','sap/ui/test/pipelines/MatcherPipeline','sap/ui/test/_OpaLogger'],function($,U,a,V,A,M,b,_){var O=U.extend("sap.ui.test.OpaPlugin",{constructor:function(){this._oLogger=_.getLogger("sap.ui.test.Opa5");this._oMatcherFactory=new M();},getAllControls:function(c,C){var d=a.registry.filter(m(c));this._oLogger.debug("Found "+d.length+" controls"+(c?" of type '"+(C||c)+"'":"")+" in page");return d;},getView:function(v){var c=this.getAllControls(V,"View");var d=c.filter(function(e){return e.getViewName()===v;});this._oLogger.debug("Found "+d.length+" views with viewName '"+v+"'");if(d.length>1){d=d.filter(function(e){var f=e.$();return f.length>0&&f.is(":visible")&&f.css("visibility")!=="hidden";});this._oLogger.debug("Found "+d.length+" visible views with viewName '"+v+"'");if(d.length!==1){this._oLogger.debug("Cannot identify controls uniquely. Please provide viewId to locate the exact view.");d=[];}}return d[0];},_getMatchingView:function(c){var v=null;var s;if(c.viewName){var d=(c.viewNamespace||"")+"."+(c.viewName||"");s=d.replace(/\.+/g,'.').replace(/^\.|\.$/g,"");}if(c.viewId){var C=a.registry.get(c.viewId);if(C instanceof V&&(!s||C.getViewName()===s)){v=C;}}else{v=this.getView(s);}this._oLogger.debug("Found "+(v?"":"no ")+"view with ID '"+c.viewId+"' and viewName '"+s+"'");return v;},getControlInView:function(c){var v=this._getMatchingView(c);var s=typeof c.id==="string";if(!v){return s?null:[];}var d=v.getViewName();var f=c.fragmentId?c.fragmentId+O.VIEW_ID_DELIMITER:"";if($.isArray(c.id)){var C=[];var u=[];c.id.map(function(i){return f+i;}).forEach(function(i){var h=v.byId(i);if(h){C.push(h);}else{u.push(i);}});var e=u.length?". Found no controls matching the subset of IDs "+u:"";this._oLogger.debug("Found "+C.length+" controls with ID contained in "+c.id+" in view '"+d+"'"+e);return C;}if(s){var i=f+c.id;var h=v.byId(i)||null;this._oLogger.debug("Found "+(h?"":"no ")+"control with ID '"+i+"' in view '"+d+"'");return h;}var j=this.getAllControlsWithTheParent(v,c.controlType,c.sOriginalControlType);var k=this._isRegExp(c.id);if(k){j=j.filter(function(h){var l=this._getUnprefixedControlId(h.getId(),v.getId(),c.fragmentId);return c.id.test(l);}.bind(this));}this._oLogger.debug("Found "+j.length+" controls of type "+c.sOriginalControlType+(k?" with ID matching "+c.id:"")+" in view '"+d+"'");return j;},getAllControlsWithTheParent:function(p,c,C){var d=new A(p);return this._filterUniqueControlsByCondition(this.getAllControls(c,C),d);},getAllControlsInContainer:function(c,C,s,d){var h=m(C),e=this._filterUniqueControlsByCondition(this._getControlsInContainer(c),h);this._oLogger.debug("Found "+e.length+" controls in "+(d?d:"container")+" with controlType '"+s+"'");return e;},_getControlsInStaticArea:function(c){var s=$(sap.ui.getCore().getStaticAreaRef());var C=this._getControlsInContainer(s)||[];if(c.id){C=this._filterUniqueControlsByCondition(C,function(d){var u=d.getId();var v=this._getMatchingView(c);if(v){if(this._isControlInView(d,v.getViewName())){u=this._getUnprefixedControlId(d.getId(),v.getId(),c.fragmentId);}}var i=false;if(typeof c.id==="string"){i=u===c.id;}if(this._isRegExp(c.id)){i=c.id.test(u);}if($.isArray(c.id)){i=c.id.filter(function(I){return I===u;}).length>0;}return i;}.bind(this));this._oLogger.debug("Found "+(C.length?C.length:"no")+" controls in the static area with ID matching '"+c.id+"'"+(c.fragmentId?" and fragmentId: '"+c.fragmentId+"'":""));}if(C.length&&c.controlType){var h=m(c.controlType);C=this._filterUniqueControlsByCondition(C,h);this._oLogger.debug("Found "+(C.length?C.length:"no")+" controls in the static area with control type matching '"+c.controlType+"'");}if(c.id&&typeof c.id==="string"){return C[0]||null;}else{return C;}},_getControlsInContainer:function(j){var c=j.find("*").control();var r=[];c.forEach(function(C){var u=!r.filter(function(d){return d.getId()===C.getId();}).length;if(u){r.push(C);}});return r;},_isControlInView:function(c,v){if(!c){return false;}if(c.getViewName&&c.getViewName()===v){return true;}else{return this._isControlInView(c.getParent(),v);}},_isRegExp:function(r){return Object.prototype.toString.call(r)==="[object RegExp]";},getMatchingControls:function(c){var r=null;c=c||{};var h=this._modifyControlType(c);if(!h){return typeof c.id==="string"?r:[];}if(c.searchOpenDialogs){r=this._getControlsInStaticArea(c);}else if(c.viewName||c.viewId){r=this.getControlInView(c);}else if(c.id){r=this.getControlByGlobalId(c);}else if(c.controlType){r=this.getAllControls(c.controlType,c.sOriginalControlType);}else{r=this.getAllControls();}if(!r){return r;}var s=this._oMatcherFactory.getStateMatchers({visible:c.visible,interactable:c.interactable,enabled:typeof c.enabled==="undefined"?c.interactable:c.enabled,editable:typeof c.editable==="undefined"?false:c.editable});var p=O._oMatcherPipeline.process({control:r,matchers:s});if(!p){if($.isArray(r)){return[];}if(r){return null;}return r;}return p;},_getFilteredControls:function(c){var C=this._filterControlsByCondition(c);var f=$.extend({},c);["interactable","visible","enabled","editable"].forEach(function(p){delete f[p];});return C===O.FILTER_FOUND_NO_CONTROLS?O.FILTER_FOUND_NO_CONTROLS:this._filterControlsByMatchers(f,C);},_filterControlsByCondition:function(c){var C=null;var p=this._isLookingForAControl(c);if(p){C=this.getMatchingControls(c);}var d=[typeof c.id==="string"&&!C,this._isRegExp(c.id)&&!C.length,$.isArray(c.id)&&(!C||C.length!==c.id.length),c.controlType&&$.isArray(C)&&!C.length,!c.id&&(c.viewName||c.viewId||c.searchOpenDialogs)&&!C.length];return d.some(Boolean)?O.FILTER_FOUND_NO_CONTROLS:C;},_filterControlsByMatchers:function(c,C){var d=$.extend({},c);var e=this._oMatcherFactory.getFilteringMatchers(d);var p=this._isLookingForAControl(c);var r=null;if((C||!p)&&e.length){r=O._oMatcherPipeline.process({matchers:e,control:C});if(!r){return O.FILTER_FOUND_NO_CONTROLS;}}else{r=C;}return r;},getControlByGlobalId:function(c){var h=m(c.controlType);if(typeof c.id==="string"){var C=a.registry.get(c.id)||null;if(C&&!h(C)){this._oLogger.error("A control with global ID '"+c.id+"' is found but does not have required controlType '"+c.sOriginalControlType+"'. Found control is '"+C+"' but null is returned instead");return null;}this._oLogger.debug("Found "+(C?"":"no ")+"control with the global ID '"+c.id+"'");return C;}var d=[];var e=this._isRegExp(c.id);if(e){a.registry.forEach(function(E,i){if(c.id.test(i)){d.push(i);}});}else if($.isArray(c.id)){d=c.id;}var f=[];var u=[];d.forEach(function(i){var C=a.registry.get(i);if(C&&h(C)&&!C.bIsDestroyed){f.push(C);}else{u.push(i);}});var s=!e&&u.length?". Found no controls of matching the subset of IDs "+u:"";this._oLogger.debug("Found "+f.length+" controls of type "+c.sOriginalControlType+(e?" with ID matching '":" with ID contained in '")+c.id+s);return f;},getControlConstructor:function(c){if(sap.ui.lazyRequire._isStub(c)){this._oLogger.debug("The control type "+c+" is currently a lazy stub.");return null;}var C=$.sap.getObject(c);if(!C){this._oLogger.debug("The control type "+c+" is undefined.");return null;}if(typeof C!=="function"){this._oLogger.debug("The control type "+c+" must be a function.");return null;}return C;},_isLookingForAControl:function(c){return Object.keys(c).some(function(k){return O._aControlSelectorsForMatchingControls.indexOf(k)!==-1&&!!c[k];});},_filterUniqueControlsByCondition:function(c,C){return c.filter(function(d,p,e){var k=!!C(d);return k&&e.indexOf(d)===p;});},_modifyControlType:function(c){var C=c.controlType;if(typeof C!=="string"){if(C&&C._sapUiLazyLoader){this._oLogger.debug("The control type is currently a lazy stub");return false;}return true;}var f=this.getControlConstructor(C);if(!f){return false;}c.sOriginalControlType=C;c.controlType=f;return true;},_getUnprefixedControlId:function(c,v,f){var u=c.replace(v+O.VIEW_ID_DELIMITER,"");if(f){if(u.startsWith(f+O.VIEW_ID_DELIMITER)){u=u.replace(f+O.VIEW_ID_DELIMITER,"");}else{u="";}}return u;}});function m(c){return function(e){if(!c){return true;}return e instanceof c;};}O._oMatcherPipeline=new b();O._aControlSelectorsForMatchingControls=["id","viewName","viewId","controlType","searchOpenDialogs"];O.FILTER_FOUND_NO_CONTROLS="FILTER_FOUND_NO_CONTROL";O.VIEW_ID_DELIMITER="--";return O;});if(o){g.module=o;}})(window);
