/*!
 * OpenUI5
 * (c) Copyright 2009-2020 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(["sap/ui/thirdparty/jquery","sap/ui/base/Object","sap/ui/core/Core","sap/ui/core/CustomData","sap/ui/core/Configuration","sap/ui/base/ManagedObjectObserver","./AnchorBar","sap/m/Button","sap/m/MenuButton","sap/m/Menu","sap/m/MenuItem","sap/ui/core/IconPool"],function(q,B,C,a,b,M,A,c,d,e,f,I){"use strict";var g=B.extend("sap.uxap._helpers.AB",{constructor:function(o){this._oObjectPageLayout=o;this._oObserver=new M(this._proxyStateChanges.bind(this));this._aMenusWithAttachPressHandler=[];},getInterface:function(){return this;}});g._focusSection=function(s,p){var S=s.getDomRef();if(S){S.focus(p);}};g.prototype.getObjectPageLayout=function(){return this._oObjectPageLayout;};g.prototype._proxyStateChanges=function(o){var O=o.object,i=this._findExistingClone(O),p=o.name,v=o.current,s="set"+h(p);if(i){i[s].call(i,v);}};g.prototype._findExistingClone=function(o){var i,s=o.getId()+"-__clone",j=this._getAnchorBar(),k=j.getContent();k.some(function(l){if(l.getId().indexOf(s)===0){i=l;return true;}});return i;};g.prototype._getAnchorBar=function(){var o=this.getObjectPageLayout(),i=o.getAggregation("_anchorBar");if(!i){i=new A({id:o.getId()+"-anchBar",showPopover:o.getShowAnchorBarPopover(),backgroundDesign:o.getBackgroundDesignAnchorBar()});this.getObjectPageLayout().setAggregation("_anchorBar",i,true);}return i;};g.prototype._setCustomData=function(o,s,O,i){O._oSectionInfo[s.getId()].buttonId=o.getId();o.addCustomData(new a({key:"sectionId",value:s.getId()}));o.addCustomData(new a({key:"bTitleVisible",value:s._getInternalTitleVisible()}));if(!i){o.addCustomData(new a({key:"secondLevel",value:true}));}};g.prototype._buildAnchorBar=function(){var o=this.getObjectPageLayout(),s=o.getSections()||[],i=this._getAnchorBar(),p=q.proxy(i._handleDirectScroll,i),j,k,m,l;if(i&&this.getObjectPageLayout().getShowAnchorBar()){i._resetControl();this._oObserver.disconnect();s.forEach(function(S){if(!S.getVisible()||!S._getInternalVisible()){return;}var n,r=S.getSubSections()||[];n=this._buildAnchorBarButton(S,true);if(n){i.addContent(n);if(n instanceof d){var t=new e({});n.enhanceAccessibilityState=function(E,u){var v=i.getContent(),w=v.indexOf(E.getParent());if(w!==-1){u.role="option";u.setsize=v.length;u.posinset=w+1;}};t._setCustomEnhanceAccStateFunction(function(E,u){u.controls=E.data("sectionId");});n.setMenu(t);}r.forEach(function(u){if(!u.getVisible()||!u._getInternalVisible()){return;}var v=this._buildAnchorBarButton(u,false),w=i.getId()+"-"+u.getId()+"-anchor";if(v){i.addContent(v);}if(n instanceof d){l=u.getCustomAnchorBarButton();if(l){j=l.getText();k=l.getIcon();}else{j=u._getInternalTitle()||u.getTitle();k='';}m=new f(w,{"text":j,"icon":k});m.addCustomData(new a({key:"sectionId",value:u.getId()}));m.attachPress(p);this._setCustomData(m,u,o,false);n.getMenu().addItem(m);}},this);}},this);}};g.prototype._moveFocusOnSection=function(s){var S=s.data(),o=sap.ui.getCore().byId(S.sectionId),F={preventScroll:true},D;if(o){if(o.isActive()){g._focusSection(o,F);}else{D={"onAfterRendering":function(){o.removeEventDelegate(D);g._focusSection(o,F);}};o.addEventDelegate(D);}}};g.prototype._instantiateAnchorBarButton=function(i,s,j){var k,S;if(i){k=d;S={type:"Transparent",buttonMode:"Split",useDefaultActionOnly:true,ariaDescribedBy:s};}else{k=c;S={ariaDescribedBy:s};}if(j){S.id=j;}return new k(S);};g.prototype._buildAnchorBarButton=function(s,i){var o=null,O=this.getObjectPageLayout(),j,k=this._getAnchorBar(),l,S,H,v,m=s.getAggregation("subSections"),p=q.proxy(k._handleDirectScroll,k);if(s.getVisible()&&s._getInternalVisible()){j=s.getCustomAnchorBarButton();if(!j){l=k.getId()+"-"+s.getId()+"-anchor";if(i){if(m&&m.length>1){v=m.filter(function(n){return n.getVisible()&&n._getInternalVisible();}).length;}}H=i&&v>1&&k.getShowPopover();if(H){o=this._instantiateAnchorBarButton(true,s,l);o.attachDefaultAction(p);o._getButtonControl().attachPress(function(){this.getParent().focus();});o._getButtonControl().attachArrowPress(function(){var n=o._getButtonControl();if(this._aMenusWithAttachPressHandler[n.getId()]){return;}o.getMenu().attachItemSelected(function(E){this._moveFocusOnSection(E.getParameter("item"));},this);this._aMenusWithAttachPressHandler[n.getId()]=true;},this);o.addCustomData(new a({key:"bHasSubMenu",value:true}));}else if(i){o=this._instantiateAnchorBarButton(false,s,l);o.attachPress(function(E){this._moveFocusOnSection(E.getSource());},this);o.attachPress(p);}else{S=k.getId()+"-"+s.getId()+"-sub-anchor";o=this._instantiateAnchorBarButton(false,s,S);}var t=(s._getInternalTitle()!="")?s._getInternalTitle():s.getTitle();o.setText(t);}else{o=j.clone();o.attachPress(function(E){this._moveFocusOnSection(E.getSource());},this);o.attachPress(p);this._oObserver.observe(j,{properties:true});}this._setCustomData(o,s,O,i);}return o;};function h(n){return n.substring(0,1).toUpperCase()+n.substring(1);}return g;});
